using System;
using System.Collections.Generic;
using System.Text;
using Sedodream.Sudoku.Board;

namespace Sedodream.Sudoku.Evaluators
{
	/// <summary>
	/// Class used to create scores.
	/// </summary>
	public static class ScoreFactory
	{
		public static IScore CreateBoardScore(int majorScore, int minorScore)
		{
			IScore score = new Score(ScoreType.BoardScore, majorScore, minorScore);
			return score;
		}
		public static IScore CreateMoveScore(int majorScore, int minorScore)
		{
			IScore score = new Score(ScoreType.MoveScore, majorScore, minorScore);
			return score;
		}

		public static IScore GetScore(IBoardEvaluator eval,IBoard board)
		{
			return null;
		}
		public static IScore GetScore(IMoveEvaluator eval, IMove move)
		{
			return null;
		}

	}
}
