using System;
using System.Collections.Generic;
using System.Text;
using Sedodream.Sudoku.Board;

namespace Sedodream.Sudoku.Events
{
	public class BoardChangedEventArgs : EventArgs
	{
		#region Fields
		private IBoardData boardData;
		private IPoint location;
		#endregion

		#region Constructors
		public BoardChangedEventArgs(IBoardData boardData, IPoint cell)
		{
			this.boardData = boardData;
			this.location = cell;
		}
		#endregion

		#region Properties
		public IPoint Cell
		{
			get { return location; }
			set { location = value; }
		}	
		public IBoardData BoardData
		{
			get { return boardData; }
			set { boardData = value; }
		}
		#endregion
	}
}
