using System;
using System.Collections.Generic;
using System.Text;

namespace Sedodream.Sudoku.Evaluators
{
	/// <summary>
	/// Interface to all scores.
	/// </summary>
	public interface IScore
	{
		/// <summary>
		/// Gets the score type.
		/// </summary>
		ScoreType ScoreType
		{
			get;
		}
		/// <summary>
		/// Gets the major score
		/// </summary>
		double MajorScore
		{
			get;
			set;
		}
		/// <summary>
		/// Gets/sets the minor score.
		/// </summary>
		double MinorScore
		{
			get;
			set;
		}
	}
}
