﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Sedodream.Sudoku.Board;

namespace Sudoku.Web.MVC.Models
{
    public class BoardModel
    {
        public IBoard StartBoard { get; set; }
        public string StartBoardString 
        {
            get
            {
                return StartBoard != null ? StartBoard.ToString() : string.Empty;
            }
        }

        public IBoard EndBoard { get; set; }
        public string EndBoardString 
        {
            get
            {
                return EndBoard != null ? EndBoard.ToString() : string.Empty;
            }
        }
    }
}
