﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Sudoku.Web.MVC.Models
{
    public class SettingsModel
    {
        public SettingsModel(IDictionary<string, string> appSettings)
        {
            if (appSettings == null) { throw new System.ArgumentNullException("appSettings"); }

            this.AppSettings = appSettings;
        }

        public IDictionary<string, string> AppSettings
        {
            get;
            private set;
        }
    }
}
